aboutsummaryrefslogtreecommitdiff
path: root/tools/make_distrib.sh
diff options
context:
space:
mode:
authorMarshall Greenblatt <magreenblatt@gmail.com>2015-09-24 18:38:18 +0300
committerMarshall Greenblatt <magreenblatt@gmail.com>2015-09-27 13:04:50 +0300
commita1e06a4a046671b4170f47d34623f7d69b6446f4 (patch)
tree41d9d1d5a9d37a624060d53097c0fc2b8ed7b108 /tools/make_distrib.sh
parent8e7fc7e3d4934ffbb7c080c129b264e6db963ea9 (diff)
downloadjcef-a1e06a4a046671b4170f47d34623f7d69b6446f4.tar.gz
Add CMake configuration for native targets (issue #171)
Diffstat (limited to 'tools/make_distrib.sh')
-rwxr-xr-xtools/make_distrib.sh24
1 files changed, 21 insertions, 3 deletions
diff --git a/tools/make_distrib.sh b/tools/make_distrib.sh
index 0f8f2e2..73a1292 100755
--- a/tools/make_distrib.sh
+++ b/tools/make_distrib.sh
@@ -41,6 +41,16 @@ else
if [ $1 == "macosx64" ]; then
export OUT_BINARY_PATH="./xcodebuild/Release"
+
+ # Alternately look in the CMake output path.
+ if [ ! -d "$OUT_BINARY_PATH" ]; then
+ export OUT_BINARY_PATH="./jcef_build/native/Release"
+ fi
+ if [ ! -d "$OUT_BINARY_PATH" ]; then
+ echo "ERROR: Native Release build output path does not exist"
+ exit 1
+ fi
+
export DISTRIB_TESTS_PATH="$DISTRIB_PATH/tests"
if [ ! -d "$DISTRIB_TESTS_PATH" ]; then
@@ -56,6 +66,15 @@ else
export DISTRIB_LIB_PATH="$DISTRIB_PATH/bin/lib/$1"
export JOGAMP_JAR_PATH="$JOGAMP_PATH/jar"
export OUT_BINARY_PATH="$OUT_PATH/Release"
+
+ # Alternately look in the CMake output path.
+ if [ ! -d "$OUT_BINARY_PATH" ]; then
+ export OUT_BINARY_PATH="./jcef_build/native/Release"
+ fi
+ if [ ! -d "$OUT_BINARY_PATH" ]; then
+ echo "ERROR: Native Release build output path does not exist"
+ exit 1
+ fi
# Create the JCEF JAR file.
cd tools
@@ -85,15 +104,14 @@ else
fi
cp -f $OUT_BINARY_PATH/chrome-sandbox $DISTRIB_LIB_PATH
- cp -f $OUT_BINARY_PATH/libffmpegsumo.so $DISTRIB_LIB_PATH
cp -f $OUT_BINARY_PATH/libjcef.so $DISTRIB_LIB_PATH
cp -f $OUT_BINARY_PATH/jcef_helper $DISTRIB_LIB_PATH
cp -f $OUT_BINARY_PATH/icudtl.dat $DISTRIB_LIB_PATH
cp -f $OUT_BINARY_PATH/libcef.so $DISTRIB_LIB_PATH
cp -f $OUT_BINARY_PATH/natives_blob.bin $DISTRIB_LIB_PATH
cp -f $OUT_BINARY_PATH/snapshot_blob.bin $DISTRIB_LIB_PATH
- cp -f $OUT_PATH/Release/*.pak $DISTRIB_LIB_PATH
- cp -rf $OUT_PATH/Release/locales/ $DISTRIB_LIB_PATH
+ cp -f $OUT_BINARY_PATH/*.pak $DISTRIB_LIB_PATH
+ cp -rf $OUT_BINARY_PATH/locales/ $DISTRIB_LIB_PATH
fi
cd tools